export default {
  name: '日期查询(范围)选择器',
  propsOptions: [
    {
      name: 'param',
      label: '筛选',
      description: '',
      type: 'param',
      outputTypeRequired: ['[startDate, endDate]'],
    },
    {
      name: 'label',
      label: '标签',
      type: 'label',
      value: '',
    },
    {
      name: 'picker',
      label: '选择器类型',
      description: '',
      type: 'select',
      value: '',
      selectOptions: [
        {
          label: '日',
          value: '',
        },
        {
          label: '周',
          value: 'week',
        },
        {
          label: '月',
          value: 'month',
        },
        {
          label: '季',
          value: 'quarter',
        },
        {
          label: '年',
          value: 'year',
        },
        {
          label: '跨日',
          value: 'rangeDate',
        },
        {
          label: '跨日(时间)',
          value: 'rangeDateTime',
        },
        {
          label: '跨周',
          value: 'rangeWeek',
        },
        {
          label: '跨月',
          value: 'rangeMonth',
        },
        {
          label: '跨季',
          value: 'rangeQuarter',
        },
        {
          label: '跨年',
          value: 'rangeYear',
        },
      ],
    },
    {
      name: 'autoFocus',
      label: '自动焦点',
      description: '',
      type: 'boolean',
    },
    {
      name: 'size',
      label: '控件大小',
      description: '',
      type: 'select',
      value: '',
      selectOptions: [
        {
          label: 'default',
          value: '',
        },
        {
          label: 'small',
          value: 'small',
        },
        {
          label: 'large',
          value: 'large',
        },
      ],
    },
    {
      name: 'disabled',
      label: '禁用',
      description: '',
      type: 'boolean',
    },

    {
      name: 'minDate',
      label: '最早可选日期',
      description: '',
      type: 'number',
      value: '',
      numberProps: {
        step: 1,
        unit: '天',
        before: '距今日',
      },
    },
    {
      name: 'maxDate',
      label: '最晚可选日期',
      description: '',
      type: 'number',
      value: '',
      numberProps: {
        step: 1,
        unit: '天',
        before: '距今日',
      },
    },
  ],
  viewEditorConfig: {
    // defaultActiveTabPane: 'style',
    disabledHeightStyle : true,
  }
};
